//
//  ViewController.swift
//  Memoization
//
//  Created by Paul Hudson on 02/06/2020.
//  Copyright © 2020 Paul Hudson. All rights reserved.
//

import UIKit

class ViewController: UITableViewController {
    override func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        40
    }

    override func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "Cell", for: indexPath)
        cell.textLabel?.text = String(fibonacci(indexPath.row))
        return cell
    }
}

func fibonacci(_ number: Int) -> Int {
    number < 2 ? number : fibonacci(number - 1) + fibonacci(number - 2)
}
